/*
 * EBSD-Image
 * Copyright (C) 2010 Philippe T. Pinard
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package crystallography.core;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class AtomSitesFactoryTest {

    @Test
    public void testAtomSitesBCC() {
        assertEquals(AtomSitesFactory.atomSitesBCC(13).size(), 2);
    }



    @Test
    public void testAtomSitesFCC() {
        assertEquals(AtomSitesFactory.atomSitesFCC(13).size(), 4);
    }



    @Test
    public void testAtomSitesHCP() {
        assertEquals(AtomSitesFactory.atomSitesHCP(13).size(), 2);
    }



    @Test
    public void testAtomSitesSingleAtom() {
        assertEquals(AtomSitesFactory.atomSitesSingleAtom(13).size(), 1);
    }

}
